[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible debian: fix first install with bpo

Holger Levsen holger at moszumanska.debian.org
Fri Mar 25 18:22:33 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 7e232f5e121357efb19cd8b2d99995a88c6aec7f
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Mar 25 14:22:08 2016 -0400

    reproducible debian: fix first install with bpo
---
 update_jdn.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/update_jdn.sh b/update_jdn.sh
index 2d0f061..841f589 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -329,16 +329,16 @@ if [ -f /etc/debian_version ] ; then
 		sudo apt-get update
 		sudo apt-get install $DEBS $MASTERDEBS
 		sudo apt-get install -t jessie-backports \
-				pbuilder || echo "this should only fail on the firts install"
+				pbuilder || echo "this should only fail on the first install"
 		#		botch
 		# for varying kernels
 		# we use bpo kernels on pb-build5+6 (and i386 kernel on pb-build2-i386)
 		if [ "$HOSTNAME" = "profitbricks-build5-amd64" ] || [ "$HOSTNAME" = "profitbricks-build6-i386" ]; then
-			sudo apt-get install -t jessie-backports linux-image-amd64
+			sudo apt-get install -t jessie-backports linux-image-amd64 || echo "this should only fail on the first install"
 		fi
 		# only needed on the main node
 		if [ "$HOSTNAME" = "jenkins-test-vm" ] ; then
-			sudo apt-get install -t jessie-backports jenkins-job-builder
+			sudo apt-get install -t jessie-backports jenkins-job-builder || echo "this should only fail on the first install"
 		elif [ "$HOSTNAME" = "jenkins" ] ; then
 			sudo apt-get install -t jessie-backports ffmpeg libav-tools jenkins-job-builder
 		fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list